Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.feature
Class PrettyLoggingOutInterceptor

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor
          org.apache.cxf.interceptor.LoggingOutInterceptor
              org.mule.module.cxf.feature.PrettyLoggingOutInterceptor

All Implemented Interfaces:
  org.apache.cxf.interceptor.Interceptor, org.apache.cxf.phase.PhaseInterceptor

    public class PrettyLoggingOutInterceptor

extends org.apache.cxf.interceptor.LoggingOutInterceptor

Takes the log output from the standard CXF LoggingInterceptor, disassembles it, pretty-prints the XML payload, then puts it all back together again.

Constructor Summary
`PrettyLoggingOutInterceptor()`
`PrettyLoggingOutInterceptor(int lim)`
`PrettyLoggingOutInterceptor(PrintWriter w)`
`PrettyLoggingOutInterceptor(String phase)`

Method Summary
`protected String` | `transform(String originalLogString)`

Methods inherited from class org.apache.cxf.interceptor.LoggingOutInterceptor
`getLimit, handleMessage, setLimit`

Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor
`addAfter, addAfter, addBefore, addBefore, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrettyLoggingOutInterceptor

    public PrettyLoggingOutInterceptor()

### PrettyLoggingOutInterceptor

    public PrettyLoggingOutInterceptor(String phase)

### PrettyLoggingOutInterceptor

    public PrettyLoggingOutInterceptor(int lim)

### PrettyLoggingOutInterceptor

    public PrettyLoggingOutInterceptor(PrintWriter w)

Method Detail

### transform

    protected String transform(String originalLogString)

  Overrides:
    `transform` in class `org.apache.cxf.interceptor.LoggingOutInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.